package com.jeeplus.modules.test.project.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.test.project.entity.ProjectMaintenence;
import com.jeeplus.modules.test.project.mapper.ProjectMaintenenceMapper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(readOnly = true)
public class ProjectMaintenenceService extends CrudService<ProjectMaintenenceMapper, ProjectMaintenence> {
    public ProjectMaintenence get(String id) {
        return super.get(id);
    }

    public List<ProjectMaintenence> findList(ProjectMaintenence projectMaintenence) {
        return super.findList(projectMaintenence);
    }

    public Page<ProjectMaintenence> findPage(Page<ProjectMaintenence> page, ProjectMaintenence projectMaintenence) {
        return super.findPage(page, projectMaintenence);
    }

    @Transactional(readOnly = false)
    public void save(ProjectMaintenence projectMaintenence) {
        super.save(projectMaintenence);
    }

    @Transactional(readOnly = false)
    public void delete(ProjectMaintenence projectMaintenence) {
        super.delete(projectMaintenence);
    }
}


